﻿using System.Windows;
using ThinkGeo.Core;
using ThinkGeo.Core.Async;

namespace WmsSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private async void MapView_Loaded(object sender, RoutedEventArgs e)
        {
            var wmsLayer = new WmsLayer(new Uri("http://ogc.bgs.ac.uk/cgi-bin/BGS_Bedrock_and_Superficial_Geology/wms"));
            wmsLayer.Crs = "EPSG:4326";

            await wmsLayer.OpenAsync();
            var layerNames2 = wmsLayer.GetServerLayers();
            wmsLayer.ActiveLayerNames.Add(layerNames2[0].Name);

            var layerOverlay = new LayerOverlay();
            layerOverlay.Layers.Add(wmsLayer);
            mapView.Overlays.Add(layerOverlay);

            mapView.MapUnit = GeographyUnit.DecimalDegree;
            mapView.CurrentExtent = wmsLayer.GetBoundingBox();

            await mapView.RefreshAsync();
        }
    }
}